import { convertPrediction } from "./helpers/convertPrediction.js";
export const processWebhook = (options) => {
    const { body } = options;
    if (typeof body !== "object" ||
        !body ||
        typeof body["id"] !== "string" ||
        typeof body["created_at"] !== "string") {
        throw new Error("You need to pass a valid PredictionResponse");
    }
    return convertPrediction(options, body);
};
